# TitleValidationDBSpec::AddTitle_Data Class Reference

Adds a title to the database of titles. This can be used to look up titleIds given a title password. More...

`#include <TitleValidationDBSpec.h>`

Inheritance diagram for TitleValidationDBSpec::AddTitle_Data:

List of all members.

## Public Attributes

DatabaseKey | titleId
| [out] Database id of the title.
RakNet::RakString | titleName
| [in] Name of the title
char * | titlePassword
| [in] Password to use with the title (game servers should be provided this). Binary
int | titlePasswordLength
| [in] Length of the binary data titlePassword
bool | allowClientAccountCreation
| [in] Global permission (not per user): allow users to create accounts? Handled in the server code. If false, user accounts must be created on the server.
bool | lobbyIsGameIndependent
| [in] Global permission (not per user): If allowLobbyChat==true, this flag controls if users can view/chat with users of any other game that also has this flag set.
long long | creationDate
| [out] Added automatically by the database on row entry. Parse with _localtime64()

## Detailed Description

Adds a title to the database of titles. This can be used to look up titleIds given a title password.

The documentation for this class was generated from the following files:

- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/TitleValidationDBSpec.h
- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/TitleValidationDBSpec.cpp